ResourceMetricsFormPrepareAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.visibility.ResourceMetricsFormPrepareAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.visibility
Class ResourceMetricsFormPrepareAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlFormPrepareAction
                  org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsDisplayFormPrepareAction
                      org.hyperic.hq.ui.action.resource.common.monitor.visibility.ResourceMetricsFormPrepareAction

Direct Known Subclasses:
  GroupMetricsFormPrepareAction

    public class ResourceMetricsFormPrepareAction

extends MetricsDisplayFormPrepareAction

An `Action` that retrieves data from the BizApp to facilitate display of the Metrics pages. This is used for "Platform Metrics", "Server Metrics" and the various service metrcs pages.

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`ResourceMetricsFormPrepareAction()`

Method Summary
`protected java.util.Map` | `getMetrics(javax.servlet.http.HttpServletRequest request, AppdefEntityID entityId, long filters, java.lang.String keyword, java.lang.Long begin, java.lang.Long end, boolean showAll)` Get from the Bizapp the set of metric summaries for the specified entity that will be displayed on the page.
`protected java.lang.Boolean` | `getShowBaseline()` Do we show the baseline column on this page? The answer is no (for now).

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsDisplayFormPrepareAction
`execute, execute, getMetrics, getShowMetricSource, getShowNumberCollecting`

Methods inherited from class org.hyperic.hq.ui.action.resource.common.monitor.visibility.MetricsControlFormPrepareAction
`prepareForm, prepareForm`

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### ResourceMetricsFormPrepareAction

    public ResourceMetricsFormPrepareAction()

Method Detail

### getShowBaseline

    protected java.lang.Boolean getShowBaseline()

  Do we show the baseline column on this page? The answer is no (for now).

  Overrides:
    `getShowBaseline` in class `MetricsDisplayFormPrepareAction`

### getMetrics

    protected java.util.Map getMetrics(javax.servlet.http.HttpServletRequest request,
                                       AppdefEntityID entityId,
                                       long filters,
                                       java.lang.String keyword,
                                       java.lang.Long begin,
                                       java.lang.Long end,
                                       boolean showAll)
                                throws java.lang.Exception

  Get from the Bizapp the set of metric summaries for the specified entity that will be displayed on the page. Returns a `Map` keyed by metric category.

  Specified by:
    `getMetrics` in class `MetricsDisplayFormPrepareAction`
  Parameters:
    `request` - the http request
    `entityId` - the entity id of the currently viewed resource
    `begin` - the time (in milliseconds since the epoch) that begins the timeframe for which the metrics are summarized
    `end` - the time (in milliseconds since the epoch) that ends the timeframe for which the metrics are summarized
  Returns:
    Map keyed on the category (String), values are List's of MetricDisplaySummary beans
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.